Package ru.bitel.bgbilling.modules.cerbercrypt.server.event

# Class GetClosePacketDatesEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.common.LocalEvent
ru.bitel.bgbilling.modules.cerbercrypt.server.event.GetPacketDatesEvent
ru.bitel.bgbilling.modules.cerbercrypt.server.event.GetClosePacketDatesEvent

All Implemented Interfaces:
  `Serializable`, `ErrorReturnableEvent`

public class GetClosePacketDatesEvent extends GetPacketDatesEvent
Синхронное событие - получение списка дат, с которых можно закрыть пакет через Web.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `GetClosePacketDatesEvent()`
  ``
  `GetClosePacketDatesEvent(int userId, int mid, int cid, int userCardId, Date date)`
  Конструктор события.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getTypeId()`
  Deprecated.

  ### Methods inherited from class ru.bitel.bgbilling.modules.cerbercrypt.server.event.GetPacketDatesEvent

  `getDate, getDateList, getUserCardId, setDateList`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.LocalEvent

  `getError, setError`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GetClosePacketDatesEvent

    protected GetClosePacketDatesEvent()

  - ### GetClosePacketDatesEvent

    public GetClosePacketDatesEvent(int userId, int mid, int cid, int userCardId, Date date)
    Конструктор события.
    Parameters:
      `userId` - - id пользователя, сгенерировавшего событие
      `mid` - - код модуля
      `cid` - - код договора
      `userCardId` - - код карты клиента
      `date` - - текущая дата

- ## Method Details

  - ### getTypeId

    @Deprecated public int getTypeId()
    Deprecated.
    Использовать проверку instanceof.
    Overrides:
      `getTypeId` in class `ru.bitel.bgbilling.kernel.event.common.Event`